{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Past Custom Attendance Lookup
{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_view_my_timetable %}
        <div class="row" xmlns="http://www.w3.org/1999/html">
            <div class="x_panel">
                <div class="x_title">
                    <h2>
                        <i class="icomoon icon-calendar"></i> Past Custom Attendance Lookup
                    </h2>
                    <div class="clearfix"></div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <form id="submit_form" class="form-horizontal form-label-left" method="POST">{% csrf_token %}

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Department
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="department" id="department" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                        {% for each in departmentList %}
                                            <option value="{{ each.pk }}">{{ each.acronym }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Semester
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="semester" id="semester" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Course
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="course" id="course" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                    </select>
                                </div>
                            </div>
                            <br>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button type="submit" class="btn1 btn-blue-grey1">Fetch Attendance
                                    </button>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
                
                    {% if final_result %}
                        <div class="tab-content">
                    <form method="POST" id="date_range_form" class="form-horizontal">
                        {% csrf_token %}
                        <div class="form-group">
                            <label class="col-sm-4 control-label">Start Date</label>
                            <div class="col-sm-4">
                                <input type="text" id="start_date" placeholder="Click to choose a date"
                                       name="start_date"
                                       class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label">End Date</label>
                            <div class="col-sm-4">
                                <input type="text" id="end_date" placeholder="Click to choose a date" name="end_date"
                                       class="form-control">
                            </div>
                        </div>
                    </form>



                        <div class="col-md-offset-10">
                            <button type="button" class="btn btn-primary" id='genrate_pdf'>
                                Generate PDF
                            </button>
                        </div>

                        <div class="alert alert-success" role="alert">
                            <div><h4><strong>This report is from {{ current_start_date }}
                                to {{ current_end_date }} </strong></h4></div>
                        </div>
                        <div class="table-responsive">
                        <table class="table table-striped text-center" id="id_custom_table">
                            <thead>
                            <tr>
                                <td>S.No.</td>
                                <td>Roll Number</td>
                                <td align="left">Name</td>
                                <td>Total Hours</td>
                                <td>Present Hours</td>
                                <td>Absent Hours</td>
                                <td>%</td>
                            </tr>
                            </thead>
                            <tbody>

                            {% for result in final_result %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ result.roll_no }}</td>
                                    <td align="left">{{ result.name }}</td>
                                    <td>{{ result.total_hours }}</td>
                                    <td>{{ result.present_hours }}</td>
                                    <td>{{ result.absent_hours }}</td>
                                    <td>{{ result.percentage }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>

                        </table>
                    {% endif %}
                    </div>
                </div>
                

            </div>
        </div>
    {% endif %}

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                //alert('sid');
                {% if final_result %}
                    window.location = '{% url 'custom_attendance_pdf_report' allot_staff_pk=staffCoursePkOnCmalRequest start_date=current_start_date end_date=current_end_date %}';
                {% endif %}
            });
        });
        $(function () {
            $("#start_date").datepicker({
                dateFormat: "yy-mm-dd",
            });
            console.log('start date initialized');
            $("#end_date").datepicker({
                dateFormat: "yy-mm-dd",
            });
        });
        $('document').ready(function () {
            $("#end_date").change(function () {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: "{{ staffCoursePkOnCmalRequest }}",
                    name: 'staffCoursePkOnCmalRequest'
                });
                $hiddenInput.appendTo('form');
                var end_date = $("#end_date").val();
                var start_date = $("#start_date").val();

                if (start_date == '') {
                    alert("Enter Start date properly");
                }
                else if (end_date == '') {
                    alert("Enter End date properly");
                }
                else {
                    $("#date_range_form").submit();
                }
            });
        });

        $(document).ready(function() {
            $('#id_custom_table').DataTable( {
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: '{{ selected_course_name }}' + '_internals_report',
                    },
                    {
                        extend: 'csvHtml5',
                        title: '{{ selected_course_name }}' + '_internals_report',
                    },
                ]
            } );
        } );

        $(document).on("change", '#department', function (e) {
            var departmentPk = $('#department').val();

            $.ajax({
                type: "POST",
                data: {
                    departmentPk: departmentPk,
                    action: 'getSemesterPlan',
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'custom_attendance_lookup' %}',
                success: function (data) {
                    if (data.semesterList.length == 0) {
                        alert('No Semester Plan');
                    }

                    $('#semester').empty();
                    $('#semester').append('<option disabled selected>' + '-----------' + '</option>');
                    var i;
                    var temp;
                    for (i = 0; (temp = data.semesterList[i]); i++) {
                        $('#semester').append('<option value="' + temp['pk'] + '">' + temp['displayText'] + '</option>');
                    }
                    $('#course').empty();
                    $('#course').append('<option disabled selected>' + '-----------' + '</option>');
                }
            });
        });


        $(document).on("change", '#semester', function (e) {
            var semesterPk = $(this).val();

            $.ajax({
                type: "POST",
                data: {
                    semesterPk: semesterPk,
                    action: 'getCourses',
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'custom_attendance_lookup' %}',
                success: function (data) {
                    if (data.courseList.length == 0) {
                        alert('No Courses');
                    }

                    $('#course').empty();
                    $('#course').append('<option disabled selected>' + '-----------' + '</option>');
                    var i;
                    var temp;
                    for (i = 0; (temp = data.courseList[i]); i++) {
                        $('#course').append('<option value="' + temp['pk'] + '">' + temp['course'] + '</option>');
                    }
                }
            });

        });


        $(document).on("submit", '#submit_form', function (e) {

            e.preventDefault();

            var department = $('#department').val();
            var semester = $('#semester').val();
            var course = $('#course').val();

            if (department == null) {
                alert('Select Department!');
                return;
            }

            if (semester == null) {
                alert('Select Semester!');
                return;
            }

            if (course == null) {
                alert('Select Course!');
                return;
            }

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('#dummyForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#course').val(),
                name: 'staffCoursePkOnCmalRequest'
            });
            $hiddenInput.appendTo('#dummyForm');

            $('#dummyForm').submit();

        });

    </script>

    <script type="text/javascript">
        $('document').ready(function () {
            $('#print').click(function () {
                {#                $('#selectionTabs').hide();#}
                {#                $('#printShowable').show();#}
                var printContent = document.getElementById('printArea');
                var headContent = document.getElementById('headcontent');
                var WinPrint = window.open('', '', '_self');
                WinPrint.document.write(headContent.innerHTML);
                WinPrint.document.write(printContent.innerHTML);
                WinPrint.document.close();
                WinPrint.focus();
                WinPrint.print();
                WinPrint.close();
                {#                $('#printShowable').hide();#}
                {#                $('#selectionTabs').show();#}
            });
        });
    </script>

{% endblock %}
